import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.util.*;

/**
 * Menu Principal de Sistema de Facturacion
 * 
 * @author G. Cherencio 
 * @version 1.0
 */
public class AppView {
    private JFrame fr = new JFrame("Sistema Facturacion");
    private JLabel lblMsg = new JLabel("Mensajes de la aplicacion");
    private JMenuBar mb = new JMenuBar();
    private JMenu mnuAr = new JMenu("Archivo");
    private JMenu mnuPr = new JMenu("Productos");
    private JMenu mnuCl = new JMenu("Clientes");
    private JMenu mnuFa = new JMenu("Facturacion");
    private JMenuItem mitArSalir = new JMenuItem("Salir");
    private JMenuItem mitPr1 = new JMenuItem("Productos");
    private JMenuItem mitCl1 = new JMenuItem("Clientes");
    private JMenuItem mitFa1 = new JMenuItem("Crear Factura");

    /**
     * Constructor for objects of class AppView
     */
    public AppView() {
        // armar Menu
        // agrego menu items al menu archivo
        mnuAr.add(mitArSalir);
        mnuPr.add(mitPr1);
        mnuCl.add(mitCl1);
        mnuFa.add(mitFa1);
        
        // agrego el menu archivo al menu bar
        mb.add(mnuAr);
        mb.add(mnuPr);
        mb.add(mnuCl);
        mb.add(mnuFa);
        
        // seteo el menu bar del JFrame
        fr.setJMenuBar(mb);
        
        // seleccionamos un Layout Manager
        fr.setLayout(new BorderLayout());
        fr.add(lblMsg,BorderLayout.SOUTH);
        fr.setSize(600,400);
        fr.setVisible(true);
    }
    
    public static void main(String[] arg) {
        new AppView();
    }

}
